Package com.pixelmed.network

# Class CEchoRequestCommandMessage

java.lang.Object
com.pixelmed.network.CEchoRequestCommandMessage

public class CEchoRequestCommandMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`CEchoRequestCommandMessage()`
`CEchoRequestCommandMessage(AttributeList list)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAffectedSOPClassUID()`
`byte[]`
`getBytes()`
`int`
`getCommandField()`
`int`
`getGroupLength()`
`int`
`getMessageID()`
`final int`
`getNextAvailableMessageID()`
Get a new message ID.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CEchoRequestCommandMessage

public CEchoRequestCommandMessage(AttributeList list) throws DicomException, IOException

Parameters:
  `list` -
Throws:
  `IOException`
  `DicomException`

### CEchoRequestCommandMessage

public CEchoRequestCommandMessage() throws DicomException, IOException

Throws:
  `IOException`
  `DicomException`

## Method Details

### getGroupLength

public int getGroupLength()

### getAffectedSOPClassUID

public String getAffectedSOPClassUID()

### getCommandField

public int getCommandField()

### getMessageID

public int getMessageID()

### getBytes

public byte[] getBytes()

### getNextAvailableMessageID

public final int getNextAvailableMessageID()

Get a new message ID.

Implemented as a simple counter on scope of JVM invocation, and will eventually wrapp around.

Returns:
  a new unused integer message ID